@echo off
set CMD_LINE_ARGS=%1
shift
:getArgs
if ""%1""=="""" goto doneArgs
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto getArgs
:doneArgs

if "%JAVA%"=="" set JAVA=java
if "%CORMORANT_HOME%"=="" set CORMORANT_HOME=.
set PROP=event.prop
set LIB=%CORMORANT_HOME%\lib

set SEISFILE=%LIB%\seisFile-1.0.jar
set HSQLDB=%LIB%\hsqldb-1.7.3_USC1.jar
set POSTGRESQL=%LIB%\postgresql-7.4.1-jdbc3.jar
set JAVAMAIL=%LIB%\javamail-1.3.1.jar
set ACTIVATION=%LIB%\activation-1.0.2.jar
set FISSURESUTIL=%LIB%\fissuresUtil-1.0.14.jar
set FISSURESIMPL=%LIB%\fissuresImpl-1.0.10.jar
set VELOCITY=%LIB%\velocity-1.4.jar
set COMMONS_COLLECTIONS=%LIB%\commons-collections-3.0.jar
set FISSURESIDL=%LIB%\fissuresIDL-1.0.jar
set SEEDCODEC=%LIB%\SeedCodec-1.0.jar
set LOG4J=%LIB%\log4j-1.2.8.jar
set CORMORANT=%LIB%\cormorant-1.1.jar

set CLASSPATH=%SEISFILE%;%HSQLDB%;%POSTGRESQL%;%JAVAMAIL%;%ACTIVATION%;%FISSURESUTIL%;%FISSURESIMPL%;%VELOCITY%;%COMMONS_COLLECTIONS%;%FISSURESIDL%;%SEEDCODEC%;%LOG4J%;%CORMORANT%


%JAVA% -Dseis.name=cormorant-1.1.eventServer -Xmx512m -Xrunyjpagent -Djava.awt.headless=true -Dswing.volatileImageBufferEnabled=false -Djava.endorsed.dirs=%LIB%\endorsed -cp %CLASSPATH% edu.sc.seis.cormorant.Start -props %PROP% %CMD_LINE_ARGS%